WPS8TableInternal::Table Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPS8TableInternal::Table Struct Referencefinal

Internal: class to store a table: list of cells. More...

Inheritance diagram for WPS8TableInternal::Table:

## Public Member Functions
| Table ()
| constructor More...
Public Member Functions inherited from WPSTable
| WPSTable ()
| the constructor More...
virtual | ~WPSTable ()
| the destructor More...
void | add (WPSCellPtr &cell)
| add a new cells More...
int | numCells () const
| returns the number of cell More...
WPSCellPtr | getCell (int id)
| returns the i^th cell More...
bool | sendTable (WPSContentListenerPtr listener)
| try to send the table More...
bool | sendAsText (WPSContentListenerPtr listener)
| try to send the table as basic text More...

## Public Attributes
int | m_id
| the table id More...
bool | m_parsed
| a bool to know if the table has been parsed More...

## Friends
std::ostream & | operator<< (std::ostream &o, Table const &table)
| operator<< More...

## Additional Inherited Members
Protected Member Functions inherited from WPSTable
bool | buildStructures ()
| create the correspondance list, ... More...
Protected Attributes inherited from WPSTable
std::vector< WPSCellPtr > | m_cellsList
| the list of cells More...
std::vector< float > | m_rowsSize
| the final row and col size (in point) More...
std::vector< float > | m_colsSize

## Detailed Description

Internal: class to store a table: list of cells.

## Constructor & Destructor Documentation

## ◆ Table()

WPS8TableInternal::Table::Table | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table const & | table
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int WPS8TableInternal::Table::m_id

the table id

Referenced by WPS8TableInternal::operator<<(), and WPS8Table::readMCLD().

## ◆ m_parsed

bool WPS8TableInternal::Table::m_parsed
| mutable

a bool to know if the table has been parsed

The documentation for this struct was generated from the following file:

- WPS8Table.cpp